<template>
  <q-card-section class="col-12 col-md-10 offset-md-1 justfy-center row">
    <q-card-section class="col-12 text-center q-py-md">
      <div class="text-h6 text-terciary">On voleu establir-vos?</div>
      <div class="text-subtitle2 text-terciary">
        Comarques on us agradaria establir el vostre projecte
      </div>
    </q-card-section>

    <q-card-section
      class="flex flex-center col-12 col-md-4 order-last order-lg-first no-padding"
    >
      <svg id="paisos_catalans" viewBox="0 0 256 288">
        <use xlink:href="/icons/icons.svg#paisos_catalans"></use>
      </svg>
    </q-card-section>

    <!-- Form -->
    <q-card-section class="col-12 offset-md-1 col-md-3 no-padding">
      <q-card-section class="flex flex-center">
        <q-select
          behavior="menu"
          outlined
          square
          @update:model-value="updateModel"
          v-model="regions"
          :options="options"
          label="Escull comarques"
          color="teal"
          clearable
          multiple
          style="width: 250px"
          options-selected-class="text-deep-orange"
          options-disable="cannotSelect"
          options-label="value"
          options-value="value"
          emit-value
          counter
          max-values="10"
          hint="Màxim 10 comarques"
        >
          <template v-slot:option="scope">
            <q-item v-bind="scope.itemProps">
              {{ scope.opt.value }}
            </q-item>
          </template>
        </q-select>
      </q-card-section>
    </q-card-section>

    <!-- Members -->
    <q-card-section class="col-12 col-md-3 q-py-md ">
      <q-list separator>
        <q-item v-for="(location, index) in locations" :key="index">
          <q-item-section avatar>
            <q-icon color="primary" name="place" />
          </q-item-section>
          <q-item-section>
            {{ location }}
          </q-item-section>

          <q-item-section @click="removeLocation(index)" avatar>
            <q-icon color="primary" name="clear" />
          </q-item-section>
        </q-item>
      </q-list>
    </q-card-section>
  </q-card-section>
</template>

<script setup>
import { ref } from 'vue'
import { ProfileStore } from 'src/stores/profileStore'
import { storeToRefs } from 'pinia'
import {
  REGIONS_CAT,
  REGIONS_BALEARS,
  REGIONS_VALENCIA
} from 'src/assets/consts/regions_CAT'
const profile = ProfileStore()
const { locations } = storeToRefs(profile)

const regions = ref([])
const options = REGIONS_CAT.concat(REGIONS_VALENCIA, REGIONS_BALEARS).map(
  region => {
    const reg = { value: region }

    if (reg.value.includes('--')) reg.disable = true
    return reg
  }
)
const updateModel = (location, index) => {
  locations.value = ref(regions)
}

const removeLocation = index => {
  locations.value.splice(index, 1)
}
</script>

<style lang="sass">
#paisos_catalans
  display: block
  max-width: 100%
  // width: 350px
  width: 400px
</style>
